Package org.apache.lucene.sandbox.search

# Enum Class QueryProfilerTimingType

java.lang.Object
java.lang.Enum<QueryProfilerTimingType>
org.apache.lucene.sandbox.search.QueryProfilerTimingType

All Implemented Interfaces:
  `Serializable`, `Comparable<QueryProfilerTimingType>`, `Constable`

public enum QueryProfilerTimingType extends Enum<QueryProfilerTimingType>
This enum breaks down the query into different sections to describe what was timed.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADVANCE`
`BUILD_SCORER`
`COMPUTE_MAX_SCORE`
`COUNT`
`CREATE_WEIGHT`
`MATCH`
`NEXT_DOC`
`SCORE`
`SET_MIN_COMPETITIVE_SCORE`
`SHALLOW_ADVANCE`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static QueryProfilerTimingType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static QueryProfilerTimingType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CREATE_WEIGHT

public static final QueryProfilerTimingType CREATE_WEIGHT

### COUNT

public static final QueryProfilerTimingType COUNT

### BUILD_SCORER

public static final QueryProfilerTimingType BUILD_SCORER

### NEXT_DOC

public static final QueryProfilerTimingType NEXT_DOC

### ADVANCE

public static final QueryProfilerTimingType ADVANCE

### MATCH

public static final QueryProfilerTimingType MATCH

### SCORE

public static final QueryProfilerTimingType SCORE

### SHALLOW_ADVANCE

public static final QueryProfilerTimingType SHALLOW_ADVANCE

### COMPUTE_MAX_SCORE

public static final QueryProfilerTimingType COMPUTE_MAX_SCORE

### SET_MIN_COMPETITIVE_SCORE

public static final QueryProfilerTimingType SET_MIN_COMPETITIVE_SCORE

## Method Details

### values

public static QueryProfilerTimingType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static QueryProfilerTimingType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<QueryProfilerTimingType>`